org.flexdock.docking.state

## Class DockingState

- java.lang.Object
- - org.flexdock.docking.state.DockingState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, DockingConstants

      public class DockingState
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable, DockingConstants

  Author:
    Mateusz Szczap
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.flexdock.docking.DockingConstants

      `ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockingState(java.lang.String dockableId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.awt.Point` | `getCenterPoint()`
    `int` | `getCenterX()`
    `int` | `getCenterY()`
    `Dockable` | `getDockable()`
    `java.lang.String` | `getDockableId()`
    `java.lang.String` | `getFloatingGroup()`
    `int` | `getMinimizedConstraint()`
    `DockingPath` | `getPath()`
    `java.lang.String` | `getRegion()`
    `Dockable` | `getRelativeParent()`
    `java.lang.String` | `getRelativeParentId()`
    `float` | `getSplitRatio()`
    `boolean` | `hasCenterPoint()`
    `boolean` | `hasDockingPath()`
    `boolean` | `isFloating()`
    `boolean` | `isMinimized()`
    `void` | `setCenter(java.awt.Point p)`
    `void` | `setCenterX(int centerX)`
    `void` | `setCenterY(int centerY)`
    `void` | `setFloatingGroup(java.lang.String group)`
    `void` | `setMinimizedConstraint(int constraint)`
    `void` | `setPath(DockingPath path)`
    `void` | `setRegion(java.lang.String region)`
    `void` | `setRelativeParent(Dockable parent)`
    `void` | `setRelativeParentId(java.lang.String relativeParentId)`
    `void` | `setSplitRatio(float ratio)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DockingState

          public DockingState(java.lang.String dockableId)

  - ### Method Detail

    - #### getDockable

          public Dockable getDockable()

    - #### getDockableId

          public java.lang.String getDockableId()

    - #### getSplitRatio

          public float getSplitRatio()

    - #### setSplitRatio

          public void setSplitRatio(float ratio)

    - #### getRegion

          public java.lang.String getRegion()

    - #### setRegion

          public void setRegion(java.lang.String region)

    - #### getMinimizedConstraint

          public int getMinimizedConstraint()

    - #### getFloatingGroup

          public java.lang.String getFloatingGroup()

    - #### isFloating

          public boolean isFloating()

    - #### isMinimized

          public boolean isMinimized()

    - #### hasDockingPath

          public boolean hasDockingPath()

    - #### getPath

          public DockingPath getPath()

    - #### setPath

          public void setPath(DockingPath path)

    - #### setMinimizedConstraint

          public void setMinimizedConstraint(int constraint)

    - #### setFloatingGroup

          public void setFloatingGroup(java.lang.String group)

    - #### getRelativeParent

          public Dockable getRelativeParent()

    - #### getRelativeParentId

          public java.lang.String getRelativeParentId()

    - #### setRelativeParent

          public void setRelativeParent(Dockable parent)

    - #### setRelativeParentId

          public void setRelativeParentId(java.lang.String relativeParentId)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCenterX

          public int getCenterX()

    - #### setCenterX

          public void setCenterX(int centerX)

    - #### getCenterY

          public int getCenterY()

    - #### setCenterY

          public void setCenterY(int centerY)

    - #### setCenter

          public void setCenter(java.awt.Point p)

    - #### getCenterPoint

          public java.awt.Point getCenterPoint()

    - #### hasCenterPoint

          public boolean hasCenterPoint()

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`